Subject: Re: [PATCH 0/5] Support UUIDs for the EFI System Partition (FAT)

From: [email-masked] (Ludovic Courtès)
Date: Wed, 11 Oct 2017 21:49:08 +0200

Hi Roel,

Roel Janssen <[email-masked]> skribis:

> Sorry for the delay.  It's really awesome that you've work so hard to
> fix the issue I reported.  I really appreciate it!
>
> I tried it with:
>   (file-system
>     (title 'uuid)
>     (device (uuid "72E5-26A0" 'fat))
>     (mount-point "/boot/efi")
>     (type "vfat"))
>
> And it works.  These changes look good to me.

Awesome, thanks for testing!

Most likely you can also do:

               (device "EFI")
               (title 'label)

though I wouldn’t recommend that because if there’s, say, a bootable
UEFI dongle plugged in when you boot, you could end up mounting that one
instead of your actual hard disk.

Ludo’.